org.richfaces.component.attribute

## Interface IterationProps

- All Known Implementing Classes:
    AbstractCollapsibleSubTable, AbstractDataGrid, AbstractDataTable, AbstractExtendedDataTable, AbstractList, UICollapsibleSubTable, UIDataGrid, UIDataTable, UIExtendedDataTable, UIList, UIRepeat

      public interface IterationProps

  Interface defining the methods for iteration-props.xml
  Author:
    Brian Leathem

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getFirst()` A zero-relative row number of the first row to display
    `String` | `getIterationStatusVar()` Provides access to the iteration status in a Request scope
    `String` | `getRowKeyVar()` Provides access to the row key in a Request scope
    `String` | `getStateVar()` Provides access to the state in a Request scope
    `Object` | `getValue()` Points to the data model
    `String` | `getVar()` A request-scope attribute via which the data object for the current row will be used when iterating
    `boolean` | `isKeepSaved()` Boolean attribute that defines whether this iteration component will reset saved children's state before rendering.

- - ### Method Detail

    - #### getVar

          String getVar()

      A request-scope attribute via which the data object for the current row will be used when iterating

    - #### getRowKeyVar

          String getRowKeyVar()

      Provides access to the row key in a Request scope

    - #### getStateVar

          String getStateVar()

      Provides access to the state in a Request scope

    - #### getIterationStatusVar

          String getIterationStatusVar()

      Provides access to the iteration status in a Request scope

    - #### isKeepSaved

          boolean isKeepSaved()

      Boolean attribute that defines whether this iteration component will reset saved children's state before rendering. By default state is reset if there are no faces messages with severity error or higher

    - #### getFirst

          int getFirst()

      A zero-relative row number of the first row to display

    - #### getValue

          Object getValue()

      Points to the data model

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.